<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ChangeLocation_Activity">

    <LinearLayout
        android:id="@+id/layout11"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:layout_weight="1"
            android:text="Change Location"
            android:gravity="center"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout11">

        <TextView
            android:id="@+id/txt_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="User : "
            android:singleLine="true"
            android:maxLines="1"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_device"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="right"
            android:text="Device : "
            android:textColor="@color/white"
            android:textSize="16sp"/>
    </LinearLayout>

    <ScrollView
        android:id="@+id/scrollView3"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:weightSum="1.0"
                android:orientation="horizontal"
                >

                <TextView
                    android:id="@+id/textView4"
                    android:layout_width="0dip"
                    android:layout_weight="0.3"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:gravity="left|center_vertical"
                    android:text="Parts no"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/txt_parts_no"
                    android:layout_width="0dip"
                    android:layout_weight="0.7"
                    android:layout_height="match_parent"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:background="@drawable/img_background"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/txt_parts_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:singleLine="true"
                    android:gravity="center_vertical"
                    android:textColor="@color/black"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:weightSum="1.0"
                android:orientation="horizontal"
                >

                <TextView
                    android:id="@+id/textView5"
                    android:layout_width="0dip"
                    android:layout_weight="0.3"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:gravity="left|center_vertical"
                    android:text="Lot No"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/txt_lot_no"
                    android:layout_width="0dip"
                    android:layout_weight="0.7"
                    android:layout_height="match_parent"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:weightSum="1.0"
                android:orientation="horizontal"
                >

                <TextView
                    android:id="@+id/textView7"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="0.3"
                    android:gravity="left|center_vertical"
                    android:text="Stock Qty"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.5"
                    android:background="@drawable/img_background"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/txt_stock_qty"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/img_background"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:textSize="18sp" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_weight="0.2"
                    android:layout_height="match_parent"
                    android:background="@drawable/img_background"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/txt_control_unit"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/img_background"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:textSize="18sp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:weightSum="1.0"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView8"
                    android:layout_width="0dip"
                    android:layout_weight="0.3"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:gravity="left|center_vertical"
                    android:text="Move Qty"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_weight="0.5"
                    android:layout_height="match_parent"
                    android:background="@drawable/img_background"
                    android:orientation="vertical">

                    <EditText
                        android:id="@+id/edt_actual_qty"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginStart="5dp"
                        android:layout_marginEnd="20dp"
                        android:gravity="center"
                        android:singleLine="true"
                        android:inputType="numberDecimal"
                        android:textColor="@color/black"
                        android:textSize="18sp" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_weight="0.2"
                    android:layout_height="match_parent"
                    android:background="@drawable/img_background"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/txt_control_unit2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="0.6"
                        android:background="@drawable/img_background"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:textSize="18sp" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="5dp"
                android:weightSum="1.0"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView16"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_marginStart="5dp"
                    android:layout_weight="0.3"
                    android:text="Location"
                    android:gravity="left|center_vertical"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/txt_old_location"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.3"
                    android:gravity="center"
                    android:background="@drawable/img_background"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <TextView
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.1"
                    android:text="-->"
                    android:gravity="center"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/txt_new_location"
                    android:layout_width="0dip"
                    android:layout_height="match_parent"
                    android:layout_weight="0.3"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textSize="18sp" />

<!--                <Spinner-->
<!--                    android:id="@+id/spinner_location"-->
<!--                    android:layout_width="0dip"-->
<!--                    android:layout_height="match_parent"-->
<!--                    android:layout_weight="0.3"-->
<!--                    android:background="@drawable/img_background"-->
<!--                    android:gravity="center"-->
<!--                    android:textColor="@color/black"-->
<!--                    android:textSize="18sp" />-->

            </LinearLayout>

            <LinearLayout
                android:id="@+id/layout_button"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="35dp"
                android:padding="2dp"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">
                <Button
                    android:id="@+id/btn_clear"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_gray"
                    android:onClick="onClick"
                    android:text="Clear [P3]"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="18sp" />


                <Button
                    android:id="@+id/btn_confirm"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_gray"
                    android:onClick="onClick"
                    android:text="Confirm [P4]"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="18sp" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/scrollView3"  />

</androidx.constraintlayout.widget.ConstraintLayout>